package cn.com.qmth.examcloud.core.reports.dao.entity;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.core.reports.dao.entity.share.IdEntity;

@Entity
@Table(name = "ec_r_exam_data", indexes = {
        @Index(name = "IDX_R_EXAM_DATA_01", columnList = "rootOrgId,examId", unique = true) })
public class ExamDataEntity extends IdEntity {

    /**
     * 
     */
    private static final long serialVersionUID = 34505670159492793L;

    @NotNull
    private Long rootOrgId;

    @NotNull
    private Long examId;

    @NotNull
    private String examName;

    @NotNull
    private String examType;

    @NotNull
    private Date startTime;

    @NotNull
    private Date endTime;

    private Integer planCount;

    private Integer completeCount;

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getExamType() {
        return examType;
    }

    public void setExamType(String examType) {
        this.examType = examType;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getPlanCount() {
        return planCount;
    }

    public void setPlanCount(Integer planCount) {
        this.planCount = planCount;
    }

    public Integer getCompleteCount() {
        return completeCount;
    }

    public void setCompleteCount(Integer completeCount) {
        this.completeCount = completeCount;
    }

}
