package cn.com.qmth.examcloud.core.reports.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import cn.com.qmth.examcloud.core.reports.dao.entity.OperateEntity;

public interface OperateRepo extends JpaRepository<OperateEntity, Long>,
		JpaSpecificationExecutor<OperateEntity> {
	
	@Modifying
	@Query(value = "delete from  ec_r_operate  where operate_time<=DATE_SUB(now(),interval 1 MONTH)", nativeQuery = true)
	public void clean();

    OperateEntity findByMsgId(String msgId);

}
